<?php

    $cooking_food_blogger_theme_css= "";

    /*--------------------------- Scroll To Top Positions -------------------*/

    $cooking_food_blogger_scroll_position = get_theme_mod( 'cooking_food_blogger_scroll_top_position','Right');
    if($cooking_food_blogger_scroll_position == 'Right'){
        $cooking_food_blogger_theme_css .='#button{';
            $cooking_food_blogger_theme_css .='right: 20px;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_scroll_position == 'Left'){
        $cooking_food_blogger_theme_css .='#button{';
            $cooking_food_blogger_theme_css .='left: 20px;right: auto;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_scroll_position == 'Center'){
        $cooking_food_blogger_theme_css .='#button{';
            $cooking_food_blogger_theme_css .='right: auto;left: 50%; transform:translateX(-50%);';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Scroll To Top Border Radius -------------------*/

    $cooking_food_blogger_scroll_to_top_border_radius = get_theme_mod('cooking_food_blogger_scroll_to_top_border_radius');
    $cooking_food_blogger_scroll_bg_color = get_theme_mod('cooking_food_blogger_scroll_bg_color');
    $cooking_food_blogger_scroll_color = get_theme_mod('cooking_food_blogger_scroll_color');
    $cooking_food_blogger_scroll_font_size = get_theme_mod('cooking_food_blogger_scroll_font_size');
    if($cooking_food_blogger_scroll_to_top_border_radius != false || $cooking_food_blogger_scroll_bg_color != false || $cooking_food_blogger_scroll_color != false || $cooking_food_blogger_scroll_font_size != false){
        $cooking_food_blogger_theme_css .='#colophon a#button{';
            $cooking_food_blogger_theme_css .='border-radius: '.esc_attr($cooking_food_blogger_scroll_to_top_border_radius).'px; background-color: '.esc_attr($cooking_food_blogger_scroll_bg_color).'; color: '.esc_attr($cooking_food_blogger_scroll_color).' !important; font-size: '.esc_attr($cooking_food_blogger_scroll_font_size).'px;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Slider Image Opacity -------------------*/
    $cooking_food_blogger_slider_opacity_setting = get_theme_mod( 'cooking_food_blogger_slider_opacity_setting',true);
    $cooking_food_blogger_image_opacity_color = get_theme_mod( 'cooking_food_blogger_image_opacity_color');
    $cooking_food_blogger_slider_opacity = get_theme_mod( 'cooking_food_blogger_slider_opacity');
    if( $cooking_food_blogger_slider_opacity_setting != false) {
        $cooking_food_blogger_theme_css .='#top-slider .slider-box img{';
            $cooking_food_blogger_theme_css .='opacity: '. $cooking_food_blogger_slider_opacity. ';';
        $cooking_food_blogger_theme_css .='}';
        if( $cooking_food_blogger_image_opacity_color != '') {
            $cooking_food_blogger_theme_css .='#top-slider .slider-box {';
                $cooking_food_blogger_theme_css .='background-color: '. $cooking_food_blogger_image_opacity_color. ';';
            $cooking_food_blogger_theme_css .='}';
        }
    } else {
        $cooking_food_blogger_theme_css .='#top-slider .slider-box img{';
            $cooking_food_blogger_theme_css .='opacity: 1;';
        $cooking_food_blogger_theme_css .='}';
    }

     /*---------------------------Slider Height ------------*/

    $cooking_food_blogger_slider_img_height = get_theme_mod('cooking_food_blogger_slider_img_height');
    if($cooking_food_blogger_slider_img_height != false){
        $cooking_food_blogger_theme_css .='#top-slider .owl-carousel .owl-item img{';
            $cooking_food_blogger_theme_css .='height: '.esc_attr($cooking_food_blogger_slider_img_height).';';
        $cooking_food_blogger_theme_css .='}';
    }

    /*---------------- Single post Settings ------------------*/

    $cooking_food_blogger_single_post_navigation_show_hide = get_theme_mod('cooking_food_blogger_single_post_navigation_show_hide',true);
    if($cooking_food_blogger_single_post_navigation_show_hide != true){
        $cooking_food_blogger_theme_css .='.nav-links{';
            $cooking_food_blogger_theme_css .='display: none;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Woocommerce Product Sale Positions -------------------*/

    $cooking_food_blogger_product_sale = get_theme_mod( 'cooking_food_blogger_woocommerce_product_sale','Right');
    if($cooking_food_blogger_product_sale == 'Right'){
        $cooking_food_blogger_theme_css .='.woocommerce ul.products li.product .onsale{';
            $cooking_food_blogger_theme_css .='left: auto; right: 15px;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_product_sale == 'Left'){
        $cooking_food_blogger_theme_css .='.woocommerce ul.products li.product .onsale{';
            $cooking_food_blogger_theme_css .='left: 15px; right: auto;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_product_sale == 'Center'){
        $cooking_food_blogger_theme_css .='.woocommerce ul.products li.product .onsale{';
            $cooking_food_blogger_theme_css .='right: 50%;left: 50%;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Woocommerce Product Sale Border Radius -------------------*/

    $cooking_food_blogger_woo_product_sale_border_radius = get_theme_mod('cooking_food_blogger_woo_product_sale_border_radius');
    if($cooking_food_blogger_woo_product_sale_border_radius != false){
        $cooking_food_blogger_theme_css .='.woocommerce ul.products li.product .onsale{';
            $cooking_food_blogger_theme_css .='border-radius: '.esc_attr($cooking_food_blogger_woo_product_sale_border_radius).'px;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Woocommerce Product Border Radius -------------------*/

    $cooking_food_blogger_woo_product_border_radius = get_theme_mod('cooking_food_blogger_woo_product_border_radius', 0);
    if($cooking_food_blogger_woo_product_border_radius != false){
        $cooking_food_blogger_theme_css .='.woocommerce ul.products li.product a img{';
            $cooking_food_blogger_theme_css .='border-radius: '.esc_attr($cooking_food_blogger_woo_product_border_radius).'px;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Footer background image -------------------*/

    $cooking_food_blogger_footer_bg_image = get_theme_mod('cooking_food_blogger_footer_bg_image');
    if($cooking_food_blogger_footer_bg_image != false){
        $cooking_food_blogger_theme_css .='#colophon{';
            $cooking_food_blogger_theme_css .='background: url('.esc_attr($cooking_food_blogger_footer_bg_image).')!important;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Copyright Background Color -------------------*/

    $cooking_food_blogger_copyright_background_color = get_theme_mod('cooking_food_blogger_copyright_background_color');
    if($cooking_food_blogger_copyright_background_color != false){
        $cooking_food_blogger_theme_css .='.footer_info{';
            $cooking_food_blogger_theme_css .='background-color: '.esc_attr($cooking_food_blogger_copyright_background_color).' !important;';
        $cooking_food_blogger_theme_css .='}';
    } 

    /*--------------------------- Site Title And Tagline Color -------------------*/

    $cooking_food_blogger_logo_title_color = get_theme_mod('cooking_food_blogger_logo_title_color');
    if($cooking_food_blogger_logo_title_color != false){
        $cooking_food_blogger_theme_css .='p.site-title a, .navbar-brand a{';
            $cooking_food_blogger_theme_css .='color: '.esc_attr($cooking_food_blogger_logo_title_color).' !important;';
        $cooking_food_blogger_theme_css .='}';
    }

    $cooking_food_blogger_logo_tagline_color = get_theme_mod('cooking_food_blogger_logo_tagline_color');
    if($cooking_food_blogger_logo_tagline_color != false){
        $cooking_food_blogger_theme_css .='.logo p.site-description, .navbar-brand p{';
            $cooking_food_blogger_theme_css .='color: '.esc_attr($cooking_food_blogger_logo_tagline_color).'  !important;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Site Title And Tagline Color -------------------*/

    $cooking_food_blogger_logo_title_color = get_theme_mod('cooking_food_blogger_logo_title_color');
    if($cooking_food_blogger_logo_title_color != false){
        $cooking_food_blogger_theme_css .='p.site-title a, .navbar-brand a{';
            $cooking_food_blogger_theme_css .='color: '.esc_attr($cooking_food_blogger_logo_title_color).' !important;';
        $cooking_food_blogger_theme_css .='}';
    }

    $cooking_food_blogger_logo_tagline_color = get_theme_mod('cooking_food_blogger_logo_tagline_color');
    if($cooking_food_blogger_logo_tagline_color != false){
        $cooking_food_blogger_theme_css .='.logo p.site-description, .navbar-brand p{';
            $cooking_food_blogger_theme_css .='color: '.esc_attr($cooking_food_blogger_logo_tagline_color).'  !important;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Footer Widget Content Alignment -------------------*/

    $cooking_food_blogger_footer_widget_content_alignment = get_theme_mod( 'cooking_food_blogger_footer_widget_content_alignment','Left');
    if($cooking_food_blogger_footer_widget_content_alignment == 'Left'){
        $cooking_food_blogger_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
        $cooking_food_blogger_theme_css .='text-align: left;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_footer_widget_content_alignment == 'Center'){
        $cooking_food_blogger_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $cooking_food_blogger_theme_css .='text-align: center;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_footer_widget_content_alignment == 'Right'){
        $cooking_food_blogger_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $cooking_food_blogger_theme_css .='text-align: right;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*--------------------------- Copyright Content Alignment -------------------*/

    $cooking_food_blogger_copyright_content_alignment = get_theme_mod( 'cooking_food_blogger_copyright_content_alignment','Center');
    if($cooking_food_blogger_copyright_content_alignment == 'Left'){
        $cooking_food_blogger_theme_css .='.footer-menu-left{';
        $cooking_food_blogger_theme_css .='text-align: left;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_copyright_content_alignment == 'Center'){
        $cooking_food_blogger_theme_css .='.footer-menu-left{';
            $cooking_food_blogger_theme_css .='text-align: center;';
        $cooking_food_blogger_theme_css .='}';
    }else if($cooking_food_blogger_copyright_content_alignment == 'Right'){
        $cooking_food_blogger_theme_css .='.footer-menu-left{';
            $cooking_food_blogger_theme_css .='text-align: right;';
        $cooking_food_blogger_theme_css .='}';
    }

    /*------------------ Nav Menus -------------------*/

    $cooking_food_blogger_nav_menu = get_theme_mod( 'cooking_food_blogger_nav_menu_text_transform','Capitalize');
    if($cooking_food_blogger_nav_menu == 'Capitalize'){
        $cooking_food_blogger_theme_css .='.main-navigation .menu > li > a{';
            $cooking_food_blogger_theme_css .='text-transform:Capitalize;';
        $cooking_food_blogger_theme_css .='}';
    }
    if($cooking_food_blogger_nav_menu == 'Lowercase'){
        $cooking_food_blogger_theme_css .='.main-navigation .menu > li > a{';
            $cooking_food_blogger_theme_css .='text-transform:Lowercase;';
        $cooking_food_blogger_theme_css .='}';
    }
    if($cooking_food_blogger_nav_menu == 'Uppercase'){
        $cooking_food_blogger_theme_css .='.main-navigation .menu > li > a{';
            $cooking_food_blogger_theme_css .='text-transform:Uppercase;';
        $cooking_food_blogger_theme_css .='}';
    }

    $cooking_food_blogger_menu_font_size = get_theme_mod( 'cooking_food_blogger_menu_font_size');
    if($cooking_food_blogger_menu_font_size != ''){
        $cooking_food_blogger_theme_css .='.main-navigation .menu > li > a{';
            $cooking_food_blogger_theme_css .='font-size: '.esc_attr($cooking_food_blogger_menu_font_size).'px;';
        $cooking_food_blogger_theme_css .='}';
    }

    $cooking_food_blogger_nav_menu_font_weight = get_theme_mod( 'cooking_food_blogger_nav_menu_font_weight',500);
    if($cooking_food_blogger_menu_font_size != ''){
        $cooking_food_blogger_theme_css .='.main-navigation .menu > li > a{';
            $cooking_food_blogger_theme_css .='font-weight: '.esc_attr($cooking_food_blogger_nav_menu_font_weight).';';
        $cooking_food_blogger_theme_css .='}';
    }

    /*------------------ Slider CSS -------------------*/

    $cooking_food_blogger_slider_content_layout = get_theme_mod( 'cooking_food_blogger_slider_content_layout','Left');
    if($cooking_food_blogger_slider_content_layout == 'Left'){
        $cooking_food_blogger_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $cooking_food_blogger_theme_css .='text-align : left;';
        $cooking_food_blogger_theme_css .='}';
    }
    if($cooking_food_blogger_slider_content_layout == 'Center'){
        $cooking_food_blogger_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $cooking_food_blogger_theme_css .='text-align : center;';
        $cooking_food_blogger_theme_css .='}';
    }
    if($cooking_food_blogger_slider_content_layout == 'Right'){
        $cooking_food_blogger_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $cooking_food_blogger_theme_css .='text-align : right;';
        $cooking_food_blogger_theme_css .='}';
    }